Subject: bug#60999: 30.0.50; [PATCH] Add support for negative indices and index ranges in Eshell

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Jan 2023 09:38:11 +0200

> Date: Thu, 26 Jan 2023 17:23:19 -0800
> From: Jim Porter <[email-masked]>
> Cc: [email-masked]
> 
> On 1/22/2023 12:13 AM, Jim Porter wrote:
> > Either way we decide about 'eshell-number-regexp', I can turn 
> > 'eshell-integer-regexp' into a regular defvar. (The only thing I can 
> > think of that a person would customize it to would be to allow a "+" at 
> > the start of an integer, like "+123".)
> 
> Ok, I've updated my patch to that 'eshell-integer-regexp' is just a 
> regular defvar. In the second patch, I also converted 
> 'eshell-number-regexp' to a defvar, and improved the regexp to match 
> more valid numbers. I think with those improvements, there's no real 
> reason for 'eshell-number-regexp' to be customizable anymore.

Thanks.

> Note: I haven't done anything with the range syntax though. If you feel 
> strongly that it should be a closed range like in Bash (instead of 
> half-open like it is in the current patch), then I don't mind changing 
> it. Personally though, I have a soft preference for half-open since it's 
> more consistent with the rest of Emacs Lisp.

I have no strong feelings, as I don't expect to be using this feature.
I just think this could be confusing to people who do use it in other
shells, and a potential source of complaints and bug reports.  But it
is your call.